/*
 *	WinLIB PRO Cookie Installer
 *	by Ken Hollis
 *
 *	Uses Cookie Code installation at boot-time for all WinLIB PRO
 *	executable programs.  Only useful when the setup program is
 *	actually installed, but never-the-less, it will work so far.
 */

#include <stdio.h>
#include <stdlib.h>
#include <screen.h>
#include "winlib.h"

GLOBAL main()
{
	COOKIE *ourcookie, *temp;
	PROGCOOKIE *opc;

	Cur_off();
	Rev_on();

	printf("\n\n WinLIB PRO Cookie 0.14 by Ken Hollis \n");
	printf("  COPYRIGHT \275 1994, Bitgate Software  \n");
	printf(" Compiled on "__DATE__" at "__TIME__"  \n");

	temp = find_cookie('WPRO');

	if (temp != NULL) {
		Rev_off();
		printf("\nAborted: Cookie already installed!\n\n");
		exit(1);
	}

	opc->magic = 0xBEEF;

/*	opc->draw3d.magic = 0xBEEF;
	opc->draw3d.mtlook = TRUE;
	opc->draw3d.zoomlook = TRUE;
	opc->draw3d.motiflook = TRUE;
	opc->draw3d.genlook = TRUE;
	opc->draw3d.winlook = FALSE;
	opc->draw3d.def_low = L_MOTIF;
	opc->draw3d.def_high = L_CUSTOM;

	opc->textmagic = 0x00000000;

	opc->custmenu.magic = 0xBEEF;
	opc->custmenu.sideroot = TRUE;
	opc->custmenu.scrolling = FALSE;
	opc->custmenu.popup = TRUE;
	opc->custmenu.dropdown = TRUE;
	opc->custmenu.draw3d = TRUE;
	opc->custmenu.style = 2;

	opc->deskrouts.magic = 0xBEEF;
	opc->deskrouts.pictures = FALSE;
	opc->deskrouts.iconmouse = TRUE;
	opc->deskrouts.multidrag = FALSE;
	opc->deskrouts.dragdrop = FALSE;
	opc->deskrouts.icon_mf = TRUE;

	opc->xaes_vdimagic = 0xBEEF;

	opc->resource.magic = 0xBEEF;
	opc->resource.largefile = FALSE;
	opc->resource.autofix = TRUE;

	opc->clipbrd_magic = 0xBEEF; */

	create_cookie(ourcookie, 'WPRO', (long) opc);
	new_cookie(ourcookie);

	Rev_off();

	printf("\nProgram cookie installed.\n\n");

	exit(0);
}